Can't Update

Support and discussions for the x86/x64 Linux version of Pale Moon.

Moderator: trava90

Post Reply
User avatar
p0rky
Newbie
Newbie
Posts: 3
Joined: 2020-05-02, 19:31

Can't Update

Post by p0rky » 2020-05-02, 19:50

- New to Ubuntu/Linux. Managed to load Pale Moon but can't update it.
Am stuck with 28.7.1 (32 bit).

Don't recall how I installed originally. I'd have followed instructions here, & only
tried something else if I couldn't get these to work.

It says it's best to install Pale Moon "binaries"- I don't know what those are, or
whether that's what I've installed.

- I've tried this to update:
sudo apt-get update && sudo apt-get install palemoon
- But it doesn't work:
palemoon is already the newest version (28.7.1+repack-1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.

Am a little confused by info I've located. Any help much appreciated.

- MORE INFO:
Ubuntu 18.04.4 LTS

which palemoon
/usr/bin/palemoon

whereis palemoon
palemoon: /usr/bin/palemoon /usr/lib/palemoon

palemoon --version
Moonchild Productions Pale Moon 28.7.1


~$ dpkg-query -L palemoon
/.
/usr
/usr/bin
/usr/lib
/usr/lib/palemoon
/usr/lib/palemoon/application.ini
/usr/lib/palemoon/browser
/usr/lib/palemoon/browser/blocklist.xml
/usr/lib/palemoon/browser/chrome
/usr/lib/palemoon/browser/chrome/icons
/usr/lib/palemoon/browser/chrome/icons/default
/usr/lib/palemoon/browser/chrome/icons/default/default16.png
/usr/lib/palemoon/browser/chrome/icons/default/default32.png
/usr/lib/palemoon/browser/chrome/icons/default/default48.png
/usr/lib/palemoon/browser/chrome.manifest
/usr/lib/palemoon/browser/components
/usr/lib/palemoon/browser/components/components.manifest
/usr/lib/palemoon/browser/components/libbrowsercomps.so
/usr/lib/palemoon/browser/extensions
/usr/lib/palemoon/browser/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}.xpi
/usr/lib/palemoon/browser/icons
/usr/lib/palemoon/browser/icons/mozicon128.png
/usr/lib/palemoon/browser/omni.ja
/usr/lib/palemoon/browser/searchplugins
/usr/lib/palemoon/browser/searchplugins/bing.xml
/usr/lib/palemoon/browser/searchplugins/duckduckgo-palemoon.xml
/usr/lib/palemoon/browser/searchplugins/ecosia.xml
/usr/lib/palemoon/browser/searchplugins/twitter.xml
/usr/lib/palemoon/browser/searchplugins/wikipedia.xml
/usr/lib/palemoon/browser/searchplugins/yahoo.xml
/usr/lib/palemoon/chrome.manifest
/usr/lib/palemoon/defaults
/usr/lib/palemoon/defaults/pref
/usr/lib/palemoon/defaults/pref/channel-prefs.js
/usr/lib/palemoon/dependentlibs.list
/usr/lib/palemoon/dictionaries
/usr/lib/palemoon/dictionaries/en-US.aff
/usr/lib/palemoon/dictionaries/en-US.dic
/usr/lib/palemoon/fonts
/usr/lib/palemoon/fonts/TwemojiMozilla.ttf
/usr/lib/palemoon/icudt58l.dat
/usr/lib/palemoon/libfreeblpriv3.chk
/usr/lib/palemoon/libfreeblpriv3.so
/usr/lib/palemoon/liblgpllibs.so
/usr/lib/palemoon/libmozsqlite3.so
/usr/lib/palemoon/libnspr4.so
/usr/lib/palemoon/libnss3.so
/usr/lib/palemoon/libnssckbi.so
/usr/lib/palemoon/libnssdbm3.chk
/usr/lib/palemoon/libnssdbm3.so
/usr/lib/palemoon/libnssutil3.so
/usr/lib/palemoon/libplc4.so
/usr/lib/palemoon/libplds4.so
/usr/lib/palemoon/libsmime3.so
/usr/lib/palemoon/libsoftokn3.chk
/usr/lib/palemoon/libsoftokn3.so
/usr/lib/palemoon/libssl3.so
/usr/lib/palemoon/libxul.so
/usr/lib/palemoon/omni.ja
/usr/lib/palemoon/palemoon
/usr/lib/palemoon/platform.ini
/usr/lib/palemoon/plugin-container
/usr/lib/palemoon/removed-files
/usr/lib/palemoon/run-mozilla.sh
/usr/share
/usr/share/applications
/usr/share/applications/palemoon.desktop
/usr/share/doc
/usr/share/doc/palemoon
/usr/share/doc/palemoon/MPL-1.1.gz
/usr/share/doc/palemoon/MPL-2.0.gz
/usr/share/doc/palemoon/README.md
/usr/share/doc/palemoon/changelog.Debian.gz
/usr/share/doc/palemoon/copyright
/usr/share/icons
/usr/share/icons/hicolor
/usr/share/icons/hicolor/128x128
/usr/share/icons/hicolor/128x128/apps
/usr/share/icons/hicolor/16x16
/usr/share/icons/hicolor/16x16/apps
/usr/share/icons/hicolor/32x32
/usr/share/icons/hicolor/32x32/apps
/usr/share/icons/hicolor/48x48
/usr/share/icons/hicolor/48x48/apps
/usr/share/lintian
/usr/share/lintian/overrides
/usr/share/lintian/overrides/palemoon
/usr/share/pixmaps
/usr/bin/palemoon
/usr/share/icons/hicolor/128x128/apps/palemoon.png
/usr/share/icons/hicolor/16x16/apps/palemoon.png
/usr/share/icons/hicolor/32x32/apps/palemoon.png
/usr/share/icons/hicolor/48x48/apps/palemoon.png
/usr/share/pixmaps/palemoon.png

User avatar
stevepusser
Astronaut
Astronaut
Posts: 599
Joined: 2015-08-01, 18:33
Location: California

Re: Can't Update

Post by stevepusser » 2020-05-03, 06:50

What's the output of

Code: Select all

apt policy palemoon
since it sounds like it's coming from my OBS repo, which currently does have 28.9.2 available for 18.04 32-bit: https://build.opensuse.org/package/show ... r/palemoon

User avatar
p0rky
Newbie
Newbie
Posts: 3
Joined: 2020-05-02, 19:31

Re: Can't Update

Post by p0rky » 2020-05-03, 08:08

Hi, Steve.
Here's that output.

apt policy palemoon
palemoon:
Installed: 28.7.1+repack-1
Candidate: 28.7.1+repack-1
Version table:
*** 28.7.1+repack-1 100
100 /var/lib/dpkg/status

- Sure hope I can figure out updates. I love this browser.
Thanks for your help.

User avatar
stevepusser
Astronaut
Astronaut
Posts: 599
Joined: 2015-08-01, 18:33
Location: California

Re: Can't Update

Post by stevepusser » 2020-05-04, 03:00

That output would mean that you haven't added my OBS repo, or it's disabled, or that you manually installed the deb from a download, so you naturally wouldn't see any updates from the repo. Please either add or reactivate the repo.

User avatar
p0rky
Newbie
Newbie
Posts: 3
Joined: 2020-05-02, 19:31

Re: Can't Update

Post by p0rky » 2020-05-04, 21:59

I think I may have fixed it.
- I could also use the link you provided & download & activate that, but let me tell you what I did 1st.
I downloaded, extracted & launched the latest standalone app:
palemoon-28.9.2.linux-i686.tar.xz

When I launch in my home directory, I get Pale Moon vers 28.9.2-- with all my addons & bookmarks etc.
I'm surprised it worked.
Is this safe?
If so, I could manually download new versions & launch the same way.
If it's better/safer, I can do it the other way. I'm concerned because I had issues setting up the 1st time, it took me a little while to get up & running.

Thanks much for your input on this.

https://build.opensuse.org/package/show ... r/palemoon

User avatar
stevepusser
Astronaut
Astronaut
Posts: 599
Joined: 2015-08-01, 18:33
Location: California

Re: Can't Update

Post by stevepusser » 2020-05-09, 04:02

Some prefer the DIY method, others like to get the automatic updates from my repo, which is usually a day or two behind the DIY install, since it takes me that long to get to downloading and creating the source files and uploading them once the new release is out. It's up to you.

Post Reply